package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.toutiao.modules.material.vo.BytedanceVideoVo;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceCheckReportTaskInfo;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceReportMaterialDaily;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceVideoEtlInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 素材报表
 * @author jeecg-boot
 * @date   2020-04-16
 * @version V1.0
 */
public interface IBytedanceReportMaterialDailyService extends IService<BytedanceReportMaterialDaily> {
    List<BytedanceReportMaterialDaily> getListByParams(String date);
    List<BytedanceVideoVo> getVideoVoByDate(String date);
    List<BytedanceVideoEtlInfo> getSignatureByDate(String date);

    BytedanceVideoEtlInfo getEtlDataByParams(String signature, String date);

    BytedanceCheckReportTaskInfo checkMatCostByParams(Long accountId, String stateDate);

    BytedanceCheckReportTaskInfo checkImageCostByParams(Long accountId, String stateDate);
}
